package routers

import (
	"github.com/gin-gonic/gin"
	"lot_interlligentControl/app/controller/v1/admin"
	"lot_interlligentControl/app/middlewares"
)

func AdminInirRouter(r *gin.Engine) {
	group := r.Group("/api/admin")
	group.Use(middlewares.AdminMiddleware())
	group.POST("/shopAll", admin.GetAllShop)
	group.PUT("/auditState", admin.AdminGetAudit)
	group.POST("/serviceNodeall", admin.GetServiceNodeAll)
	group.DELETE("/product", admin.DeleteProductById)
	group.POST("/product", admin.AddProduct)
	group.PUT("/product", admin.UpdateProduct)
}
