package routers

import (
	"github.com/gin-gonic/gin"
	"lot_interlligentControl/app/controller/v1"
)

func ServiceNodeRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.GET("/serviceNode", v1.GetServiceNodesById)
	group.DELETE("/serviceNode", v1.DeleteServiceNodesById)
	group.PUT("/serviceNode", v1.UpdateServiceNode)
	group.POST("/serviceNode", v1.AddServiceNode)
	group.GET("/getNode", v1.GetNode)
}
