package services

import (
	"lot_interlligentControl/app/e"
	"lot_interlligentControl/models"
	"lot_interlligentControl/unity"
)

type Shop interface {
	AddShop(uid int, shop models.ShopDto) e.Rescode
	UpdateShop(uid, id int, shop models.ShopDto) e.Rescode
	GetShopByName(uid int, productName string, params unity.PageParams) ([]models.Shop, int64, error)
	AuditState(uid, id int, state int) e.Rescode
}
