package models

import (
	"gorm.io/gorm"
)

type ServiceNodes struct {
	gorm.Model
	NodeName string `json:"node_name"` // 节点名称
	State    bool   `json:"state"`     // 0: 离线 1: 在线
	Address  string `json:"address"`   // 节点地址
	Tokey    string `json:"tokey"`     // 节点token
	CreateBy int    `json:"create_by"`
}
type ServiceNodesDto struct {
	NodeName string `json:"node_name"` // 节点名称
	State    bool   `json:"state"`     // 0: 离线 1: 在线
	Address  string `json:"address"`   // 节点地址
	Tokey    string `json:"tokey"`     // 节点token
}
