package routers

import (
	"github.com/gin-gonic/gin"
	"lot_interlligentControl/app/controller/v1"
)

func ShopInItRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.POST("/shop", v1.AddShop)
	group.DELETE("/shop", v1.DeleteShopById)
	group.PUT("/shop", v1.UpdateShop)
	group.GET("/shop", v1.GetShopById)
	group.GET("/shopByName", v1.GetShopByName)
	group.POST("/productall", v1.GetAllProduct)

}
