package nats

import (
	"fmt"
	"github.com/nats-io/nats.go"
	"lot_interlligentControl/global"
)

var Nats *nats.Conn

func SetupNats() {
	var err error
	fmt.Println(global.NatsSetting.NatsServerUrl)
	Nats, err = nats.Connect(global.NatsSetting.NatsServerUrl)
	if err != nil {
		fmt.Println("nats 连接失败！")
		panic(err)
	}
	fmt.Println("nats OK！")
}
